Espruino fino 1.98 jsparse.c buffer overflow

voceeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
Exploit Prezzo Attuale (≈)
CTI Interest Score
5.2$0-$5k0.00

Una vulnerabilità di livello critico è stata rilevata in Espruino fino 1.98. É interessato una funzione sconosciuta del file jsparse.c. Mediante la manipolazione di un input sconosciuto se causa una vulnerabilità di classe buffer overflow. Gli effetti sono noti per riservatezza, integrità e disponibilità.

Data di scoperta del problema 19/05/2018. La vulnerabilità è stata pubblicata in data 31/05/2018 (Website) (non definito). L'advisory è scaricabile da github.com. Questa vulnerabilità è identificata come CVE-2018-11594. Nella rete si effettua l'attacco. L'utilizzo non richiede alcuna forma di autentificazione. Sono disponibili dettagli tecnici, ma nessun metodo di utilizzo.

Per almeno 12 giorni, questa vulnerabilità è stata classificata come 0-day exploit.

L'aggiornamento alla versione 1.99 elimina questa vulnerabilità.

Prodottoinfoedit

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 5.4
VulDB Meta Temp Score: 5.2

VulDB Base Score: 5.3
VulDB Temp Score: 5.1
VulDB Vector: 🔍
VulDB Affidabilità: 🔍

NVD Base Score: 5.5
NVD Vector: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Affidabilità: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Classe: Buffer overflow
CWE: CWE-119
ATT&CK: Sconosciuto

Locale: No
Remoto: Si

Disponibilità: 🔍
Status: Non definito

Previsione dei prezzi: 🔍
Preventivo attuale: 🔍

0-Dayunlockunlockunlockunlock
Oggiunlockunlockunlockunlock

Threat Intelligenceinfoedit

Minaccia: 🔍
Avversari: 🔍
Geopolitica: 🔍
Economia: 🔍
Predizioni: 🔍
Contromisure: 🔍

Contromisureinfoedit

Raccomandazione: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Espruino 1.99

Sequenza temporaleinfoedit

19/05/2018 🔍
31/05/2018 +11 giorni 🔍
31/05/2018 +0 giorni 🔍
31/05/2018 +0 giorni 🔍
01/06/2018 +1 giorni 🔍
10/02/2020 +619 giorni 🔍

Fontiinfoedit

Advisory: github.com
Status: Non definito

CVE: CVE-2018-11594 (🔍)
Vedi anche: 🔍

Voceinfoedit

Data di creazione: 01/06/2018 10:27 AM
Aggiornamenti: 10/02/2020 03:57 PM
I cambiamenti: (1) vulnerability_discoverydate
Completa: 🔍

Commenti

Ancora nessun commento. Effettua il login per commentare.

Do you want to use VulDB in your project?

Use the official API to access entries easily!